//| ===============================================================================
//| INI file for iProInst.exe                        2K/XP Generic API Version 9.22
//| -------------------------------------------------------------------------------

//| =========================================================================
//|
//| Configurable keywords 
//|
//| =========================================================================
<Config>
    DebugMode           = False
    // ----------------------------------------------------------------------
    //  Mandatory settings
    // ----------------------------------------------------------------------
    FamilyCode          = 9.22              
    PFilesOffset        = "Intel\Wireless"     
    // ----------------------------------------------------------------------
    //  Default over-rides
    // ----------------------------------------------------------------------
    Autorun             = FALSE         // default - FALSE
    InstallMode         = FULL          // default - FULL  [FULL | SILENT | REDUCED]
    SilentReboot        = FALSE         // default - FALSE
    ErrorMode           = ROLLBACK      // default - CONTINUE  [ROLLBACK | HALT | CONTINUE]
    Language            = ALL           // default - ALL   [ALL | ENU | FRA | ... | SVE] 
    DowngradeLegal      = FALSE         // default - FALSE  
    ExtendedSupport     = FALSE         // default - TRUE 
    SetPathEnv          = TRUE          // default - FALSE
    BatteryLevel        = 25            // default - 25
    ProfileSave         = 10            // default - 10 [ 0 | 9 | 10 ]
    // ----------------------------------------------------------------------
    //  Macro over-rides
    // ----------------------------------------------------------------------
    HideTrayIcon        = FALSE         // default - FALSE   
    Disable11A          = FALSE         // default - FALSE
    NoWirelessRadio     = FALSE         // default - FALSE
    PAC                 = TRUE          // default - TRUE
    CCxv4               = TRUE          // default - TRUE
    // ----------------------------------------------------------------------
    //  Qualification section
    // ----------------------------------------------------------------------
    AllowedAdapter  = NULL, CW2_BG, CX2_BG, CX2_ABG, GOL_ABG, KDR_ABG   
    AllowedUpgrade  = {09.xx - Installer FamilyCode Version}    // Lisbon  
    AllowedUpgrade  = {08.xx - Installer FamilyCode Version}    // Not Defined
    AllowedUpgrade  = {07.xx - Installer FamilyCode Version}    // Loudon
    AllowedUpgrade  = {05.xx - Installer FamilyCode Version}    // Golan
    AllowedUpgrade  = {04.xx - Installer FamilyCode Version}    // Not Defined
    AllowedUpgrade  = {03.xx - Installer FamilyCode Version}    // Not Defined (was CW2)          
    AllowedUpgrade  = {02.xx - Installer FamilyCode Version}    // MUROC 9.0.2
    AllowedUpgrade  = {01.xx - Installer FamilyCode Version}    // MUROC 9.0.0, 9.0.1
    BlockedUpgrade  = {D01A9DBE-A56C-44EE-8418-2FDAF57074E1}    // CASWELL1
    AllowedUpgrade  = {6ECD30AA-38EE-43D0-9B93-439DFCF50525}    // MASTER_INSTALL
    AllowedUpgrade  = {286A5A7B-E0AB-481E-B451-2E9EAC3F32B2}    // COMBINED (Or ProSafe)
    AllowedUpgrade  = {642C4071-3526-443B-8D0D-4FCC1ABBC748}    // WIRELESS_SPLIT (Or WlsSafe)
    AllowedUpgrade  = {6BEEE79A-0FD3-40E8-8A4C-F98B1D4468BA}    // SEBRING_API
    
//| =========================================================================
//|
//| Feature display selection: '-' DeSelected by default
//|                            '+' Selected by default
//|
//| Win2K
//| WinXP
//| Win64
//|
//| =========================================================================
<Win2K>
    MSI_Data   = +, Lev0, Driver        
    MSI_Data   = +, Lev0, WirelessCore
         

<WinXP>
    MSI_Data   = +, Lev0, Driver        
    MSI_Data   = +, Lev0, WirelessCore
        

<Win64>
    MSI_Data   = +, Lev0, Driver        
    MSI_Data   = +, Lev0, WirelessCore
//| =========================================================================
//|
//| MSI data definitions follow.
//|
//| =========================================================================
[Driver]
    FeatureTitle    = [1130]
    Description     = [1131]
    RelativePath    = "iProData\mDriver.msi", "DOINSTALL=Yes SETUPWLD_SILENT=/INFClear"

[WirelessCore]
    FeatureTitle    = [1010]
    Description     = [1011]
    RelativePath    = "iProData\mCore.msi"  
    DependantLink   = ProfileManager
    ConfigureLink   = FeatureSet2
    ConfigureLink   = Disable11A        
    ConfigureLink   = NoWirelessRadio   
    ConfigureLink   = PAC   
    ConfigureLink   = CCxv4
    ConfigureLink   = VERSION
    ConfigureLink   = CONTACT
    ConfigureLink   = INFOABOUT
    ConfigureLink   = SUPPORTINFO 
    ConfigureLink   = UPDATEINFO
    ConfigureLink   = COMMENTS
    ComponentLink   = ProSafe
    ComponentLink   = WlsSafe
    ComponentLink   = MHInstaller
   

[ProSafe]
    FeatureTitle    = "ProSafe"
    Description     = "ProSafe"
    RelativePath    = "iProData\mProSafe.msi"   
    NoVersionChk    = True

[WlsSafe]
    FeatureTitle    = "WlsSafe"
    Description     = "WlsSafe"
    RelativePath    = "iProData\mWlsSafe.msi"   
    NoVersionChk    = True

[MHInstaller]
    FeatureTitle    = [1150]
    Description     = [1150]
    RelativePath    = "iProData\mMHouse.msi"    

[XML6]
    FeatureTitle    = [1170]
    Description     = [1171]
    RelativePath    = "iProData\msxml6.msi"   
    NoVersionChk    = True

[ProfileManager]
    FeatureTitle    = [1060]
    Description     = [1061]
    RelativePath    = "iProData\mPfMgr.msi" 
    DependantLink   = XML6



//| =========================================================================
//| Registry/Directory Definitions
//| =========================================================================
{FeatureSet2}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_DWORD
    IData           = 000000FF

{PAC}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xx1x xxxx xxxx xxxx xxxx  
    RData           = xxxx xxxx xxxx xx0x xxxx xxxx xxxx xxxx  
    Enabled         = TRUE

{CCxv4}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx 1xxx xxxx xxxx xxxx xxxx
    RData           = xxxx xxxx xxxx 0xxx xxxx xxxx xxxx xxxx 
    Enabled         = TRUE

{NoWirelessRadio}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx 1xxx xxxx xxxx xxxx xxxx xxxx  
    Enabled         = FALSE

{Disable11A}        
    RelativePath    = [AllUsersWireless], ITSttngs.ini
    Section         = CHICKEN_BITS
    KeyName         = Intel11aRadio
    IData           = 0
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

//| =========================================================================
//| Registry: Add/Remove Program
//| =========================================================================
{VERSION}
    KeyName         = DisplayVersion
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = "11.01.0.API"
    Enabled         = TRUE

{CONTACT}
    KeyName         = Contact
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2031]
    Enabled         = TRUE

{INFOABOUT}
    KeyName         = URLInfoAbout
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2032]
    Enabled         = TRUE

{SUPPORTINFO}
    KeyName         = HelpLink
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2033]
    Enabled         = TRUE

{UPDATEINFO}
    KeyName         = URLUpdateInfo
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2035]
    Enabled         = TRUE

{COMMENTS}
    KeyName         = Comments
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2034]
    Enabled         = TRUE

